package com.aliyun.imp.flutter.sdk.alicloud_impinteraction_sdk;

import android.content.Context;
import android.graphics.Color;
import android.view.View;
import android.widget.FrameLayout;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import java.util.Map;

import io.flutter.plugin.platform.PlatformView;

public class NativeView implements PlatformView {
    @NonNull
    private final FrameLayout container;

    NativeView(@NonNull Context context, int id, @Nullable Map<String, Object> creationParams) {
        container = new FrameLayout(context);
        container.setBackgroundColor(Color.rgb(255, 255, 255));
    }

    @NonNull
    @Override
    public View getView() {
        return container;
    }

    @Override
    public void dispose() {
    }
}
