#import <Flutter/Flutter.h>
#import "AIMPSUtils.h"

@interface IMPEvent : NSObject <FlutterStreamHandler>
@property(strong, nonatomic) FlutterEventSink emitter;

+ (IMPEvent *)ins;

+ (void)fireEvent:(NSString *)event;

+ (void)fireEvent:(NSString *)event params:(NSDictionary *_Nullable)params;

- (FlutterError *_Nullable)onListenWithArguments:(id _Nullable)arguments
                                       eventSink:(FlutterEventSink)events;

- (FlutterError *_Nullable)onCancelWithArguments:(id _Nullable)arguments;
@end
