import 'dart:async';

import 'package:flutter/services.dart';
import 'utils.dart';

typedef Listener = void Function(dynamic msg);
typedef CancelListening = void Function();


class IMPSdkEvent {
  static const channelTag = 'alicloud_impinteraction_sdk_event';
  static const EventChannel _ec = EventChannel(channelTag);

  static void Function() startListening(Listener listener) {
    var subscription = _ec
        .receiveBroadcastStream()
        .listen(listener, cancelOnError: false);
    return () {
      subscription.cancel();
    };
  }
}
