//
//  AIMPSdkConf.h
//  Runner
//
//  Created by KyleCe on 2022/2/8.
//

#import <Foundation/Foundation.h>
#import "Flutter/FlutterChannels.h"

NS_ASSUME_NONNULL_BEGIN

@interface AIMPSUtils : NSObject

+ (void)callOK:(FlutterResult _Nullable)result;

+ (void)callOK:(FlutterResult _Nullable)result condition:(BOOL)condition;

+ (void)callOK:(FlutterResult _Nullable)result msg:(NSString *_Nullable)msg;

+ (void)take:(FlutterResult)result dic:(NSMutableDictionary *_Nullable)dic;

+ (void)callErr:(FlutterResult _Nullable)result;

+ (void)callErr:(FlutterResult _Nullable)result msg:(NSString *_Nullable)msg;

+ (NSString *)wrap:(BOOL)condition;

+ (NSString *)wrapInvalidParam:(NSString *)key;
@end

NS_ASSUME_NONNULL_END

